circle-info
Squadcast is now SolarWinds Incident Response

Services/Overlay/Custom Content Templates

Get All Custom Content Template Overlay by Service

get
/v3/services/{serviceID}/overlays/custom-content
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
serviceIDstringRequired
Header parameters
authorizationstringOptional
Responses
chevron-right
200

The request has succeeded.

application/json
get
/v3/services/{serviceID}/overlays/custom-content

Render Custom Content Overlay

post
/v3/services/{serviceID}/overlays/custom-content/render
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
serviceIDstringRequired
Body
overlay_template_typestringRequired
templatestringRequired
payloadstringRequired
Responses
chevron-right
200

The request has succeeded.

application/json
datastringRequired
post
/v3/services/{serviceID}/overlays/custom-content/render

Get Custom Content Template Overlay

get
/v3/services/{serviceID}/overlays/custom-content/{alertSource}
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
serviceIDstringRequired
alertSourcestringRequired
Header parameters
authorizationstringOptional
Responses
chevron-right
200

The request has succeeded.

application/json
get
/v3/services/{serviceID}/overlays/custom-content/{alertSource}

Create or Update Notification Template Overlay

put
/v3/services/{serviceID}/overlays/custom-content/{alertSource}
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
serviceIDstringRequired
alertSourcestringRequired
Body
overlay_template_typestringRequired
Responses
chevron-right
200

The request has succeeded.

application/json
put
/v3/services/{serviceID}/overlays/custom-content/{alertSource}

Delete Notification Template Overlay

delete
/v3/services/{serviceID}/overlays/custom-content/{alertSource}
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
serviceIDstringRequired
alertSourcestringRequired
Header parameters
authorizationstringOptional
Responses
delete
/v3/services/{serviceID}/overlays/custom-content/{alertSource}

Last updated